org.apache.lucene.luke.models.documents

## Class TermPosting

- java.lang.Object
- - org.apache.lucene.luke.models.documents.TermPosting

    public final class TermPosting
    extends Object

Holder for a term's position information, and optionally, offsets and payloads.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getEndOffset()`
`BytesRef` `getPayload()`
`int` `getPosition()`
`int` `getStartOffset()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getPosition

    public int getPosition()

#### getStartOffset

    public int getStartOffset()

#### getEndOffset

    public int getEndOffset()

#### getPayload

    public BytesRef getPayload()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`